Name:          gvm-libs
Version:       22.8.0
Release:       1mamba
Summary:       Greenbone Vulnerability Management Libraries
Group:         Applications/Security
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/greenbone/gvm-libs
Source:        https://github.com/greenbone/gvm-libs.git/v%{version}/gvm-libs-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcrypt-devel
BuildRequires: libglib-devel
BuildRequires: libgnutls-devel
BuildRequires: libgpgme-devel
BuildRequires: libhiredis-devel
BuildRequires: libnet-devel
BuildRequires: libopenldap-devel
BuildRequires: libpaho-mqtt-c-devel
BuildRequires: libssh-devel
BuildRequires: libuuid-devel
BuildRequires: libxcrypt-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: cmake

%description
Greenbone Vulnerability Management Libraries.

%package -n libgvm
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n libgvm
This package contains shared libraries for %{name}.

%package -n libgvm-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      libgvm = %{?epoch:%epoch:}%{version}-%{release}

%description -n libgvm-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake
%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n libgvm -p /sbin/ldconfig
%postun -n libgvm -p /sbin/ldconfig

%files -n libgvm
%defattr(-,root,root)
%{_libdir}/libgvm_base.so.*
%{_libdir}/libgvm_boreas.so.*
%{_libdir}/libgvm_gmp.so.*
%{_libdir}/libgvm_osp.so.*
%{_libdir}/libgvm_util.so.*
%doc COPYING

%files -n libgvm-devel
%defattr(-,root,root)
%dir %{_includedir}/gvm
%{_includedir}/gvm/*
%{_libdir}/libgvm_base.so
%{_libdir}/libgvm_boreas.so
%{_libdir}/libgvm_gmp.so
%{_libdir}/libgvm_osp.so
%{_libdir}/libgvm_util.so
%{_libdir}/pkgconfig/libgvm_*.pc
%doc README.md

%changelog
* Sun Feb 25 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 22.8.0-1mamba
- package created using the webbuild interface
